/*
  Extras - Library for Extras class.
  Created by Simon Jansen, 2013-04-05.
  Changelog:
  	2015-10-22:	Added option to change blinking LED pin on init
  Released into the public domain.
  changelog:
  2025-04-23:	LoopsPerSec unsigned long instead of unsigned int
*/
#ifndef Extras_h
#define Extras_h

#include "Extras.h"
#include "Arduino.h"

// library interface description
class Extras
{
  public:
    // constructors:
    Extras();
    Extras(byte _pinBlinkLED);
    // methods:
    void Update();
    unsigned long LoopsPerSec;

  private:
    boolean _blinkState;
    byte _pinBlinkLED;
    unsigned long _interValTimer;
    unsigned long _LoopsPerSecCounter;
};

#endif

